# Models

Models and/or building blocks that can be useful outside of outlier, adversarial or drift detection can be found under `alibi_detect.models`. Main implementations:

* [PixelCNN++](https://arxiv.org/abs/1701.05517): `from alibi_detect.models.tensorflow import PixelCNN`
* Variational Autoencoder: `from alibi_detect.models.tensorflow import VAE`
* Sequence-to-sequence model: `from alibi_detect.models.tensorflow import Seq2Seq`
* ResNet: `from alibi_detect.models.tensorflow import resnet`

Pre-trained TensorFlow ResNet-20/32/44 models on CIFAR-10 can be found on our [Google Cloud Bucket](https://console.cloud.google.com/storage/browser/seldon-models/alibi-detect/classifier/cifar10/?organizationId=156002945562\&project=seldon-pub) and can be fetched as follows:

```python
from alibi_detect.utils.fetching import fetch_tf_model

model = fetch_tf_model('cifar10', 'resnet32')
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/alibi-detect/overview-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
